Unstored calculations don't resolve with $record.get()
Description
It appears that unstored calculations might not be accessible by $record.get.

In developer, if a client is not started calling $record.get(unstored_calculation) doesn not resolve the calculated value. Once a client
is started however the calculations resolve.

When deployed to application server, $record.get(unstored_calculation) does not resolve the calculation.

History

#1 - 12/14/2012 07:23 PM - Patrick Talbot

- Status changed from New to In Progress
#2 - 12/14/2012 07:24 PM - Patrick Talbot
Just did a quick try in Developer 5.1.15 and this works.

Will try in server, then in 6.0.8 and 6.1.3 and see how it goes...

#3 - 12/14/2012 07:29 PM - Patrick Talbot

Working fine in 5.2.15 in server mode as well...

#4 - 12/14/2012 07:37 PM - Patrick Talbot

Tried 6.0.8 in developer and it works for me (with no other client launched)

#5 - 12/14/2012 07:40 PM - Patrick Talbot

6.0.8 in server mode is working fine too

#6 - 12/14/2012 08:59 PM - Patrick Talbot

Have now tried with 6.1.3 in developer and server mode and still working fine.

So I'm wondering what your calc is really doing... Maybe it's based on relations that are not available to the Velocity HC?

#7 - 12/19/2012 08:30 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed in v3.0RC7
